Skip to navigation

Delete a workload.

View as Markdown
Delete a specific workload by ID

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

WorkloadV2IdstringRequiredformat: "uuid"

Response

Deletion request accepted.
metadataobject
desiredPhaseenum
The desired phase of the workload.
Allowed values:
workloadManifestmap from strings to any
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.
rawManifestmap from strings to any
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error